Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class ShortArray

    java.lang.Object
      org.apache.uima.cas.impl.FeatureStructureImpl
          org.apache.uima.jcas.cas.TOP
              org.apache.uima.jcas.cas.ShortArray

All Implemented Interfaces:
  Cloneable, CommonArrayFS, FeatureStructure, ShortArrayFS

    public final class ShortArray

extends TOP
implements ShortArrayFS

JCas class model for ShortArray

Field Summary
`static int` | `type`
`static int` | `typeIndexID` Each cover class when loaded sets an index.

Fields inherited from class org.apache.uima.jcas.cas.TOP
`addr, jcasType`

Constructor Summary
`ShortArray(int addr, TOP_Type type)` Internal - Constructor used by generator
`ShortArray(JCas jcas, int length)` Make a new ShortArray of given size

Method Summary
`void` | `copyFromArray(short[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
`void` | `copyFromArray(String[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external string array into this array.
`void` | `copyToArray(int srcOffset, short[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
`void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)` Copy the contents of the array to an external string array.
`short` | `get(int i)` Get the i-th element from the array.
`int` | `getTypeIndexID()` used to obtain reference to the _Type instance
`void` | `set(int i, short v)` Set the i-th value.
`int` | `size()` return the size of the array
`short[]` | `toArray()` Creates a new array the this array is copied to.
`String[]` | `toStringArray()` Creates a new string array and copies this array values into it.

Methods inherited from class org.apache.uima.jcas.cas.TOP
`addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl
`clone, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Field Detail

### typeIndexID

    public static final int typeIndexID

  Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

### type

    public static final int type

Constructor Detail

### ShortArray

    public ShortArray(int addr,
                      TOP_Type type)

  Internal - Constructor used by generator

### ShortArray

    public ShortArray(JCas jcas,
                      int length)

  Make a new ShortArray of given size

Method Detail

### getTypeIndexID

    public int getTypeIndexID()

  used to obtain reference to the _Type instance

  Overrides:
    `getTypeIndexID` in class `TOP`
  Returns:
    the type array index

### get

    public short get(int i)

  Description copied from interface: `ShortArrayFS`
  Get the i-th element from the array.

  Specified by:
    `get` in interface `ShortArrayFS`
  Returns:
    The i-th element.
  See Also:
    `ShortArrayFS.get(int)`

### set

    public void set(int i,
                    short v)

  Description copied from interface: `ShortArrayFS`
  Set the i-th value.

  Specified by:
    `set` in interface `ShortArrayFS`
  Parameters:
    `i` - The index.
    `v` - The value.
  See Also:
    `ShortArrayFS.set(int , short)`

### copyFromArray

    public void copyFromArray(short[] src,
                              int srcOffset,
                              int destOffset,
                              int length)

  Description copied from interface: `ShortArrayFS`
  Copy the contents of an external array into this array.

  Specified by:
    `copyFromArray` in interface `ShortArrayFS`
  Parameters:
    `src` - The source array.
    `srcOffset` - Where to start copying in the source array.
    `destOffset` - Where to start copying to in the destination array.
    `length` - The number of elements to copy.
  See Also:
    `ShortArrayFS.copyFromArray(short[], int, int, int)`

### copyToArray

    public void copyToArray(int srcOffset,
                            short[] dest,
                            int destOffset,
                            int length)

  Description copied from interface: `ShortArrayFS`
  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.

  Specified by:
    `copyToArray` in interface `ShortArrayFS`
  Parameters:
    `srcOffset` - The index of the first element to copy.
    `dest` - The array to copy to.
    `destOffset` - Where to start copying into `dest`.
    `length` - The number of elements to copy.
  See Also:
    `ShortArrayFS.copyToArray(int, short[], int, int)`

### toArray

    public short[] toArray()

  Description copied from interface: `ShortArrayFS`
  Creates a new array the this array is copied to.

  Specified by:
    `toArray` in interface `ShortArrayFS`
  Returns:
    A Java array copy of this FS array.
  See Also:
    `ShortArrayFS.toArray()`

### size

    public int size()

  return the size of the array

  Specified by:
    `size` in interface `CommonArrayFS`
  Returns:
    The size of the array.

### copyToArray

    public void copyToArray(int srcOffset,
                            String[] dest,
                            int destOffset,
                            int length)

  Description copied from interface: `CommonArrayFS`
  Copy the contents of the array to an external string array.

  Specified by:
    `copyToArray` in interface `CommonArrayFS`
  Parameters:
    `srcOffset` - The index of the first element to copy.
    `dest` - The array to copy to.
    `destOffset` - Where to start copying into `dest`.
    `length` - The number of elements to copy.
  See Also:
    `CommonArrayFS.copyToArray(int, String[], int, int)`

### copyFromArray

    public void copyFromArray(String[] src,
                              int srcOffset,
                              int destOffset,
                              int length)

  Description copied from interface: `CommonArrayFS`
  Copy the contents of an external string array into this array. The strings are parsed and converted to floats.

  Specified by:
    `copyFromArray` in interface `CommonArrayFS`
  Parameters:
    `src` - The source array.
    `srcOffset` - Where to start copying in the source array.
    `destOffset` - Where to start copying to in the destination array.
    `length` - The number of elements to copy.
  See Also:
    `CommonArrayFS.copyFromArray(String[], int, int, int)`

### toStringArray

    public String[] toStringArray()

  Description copied from interface: `CommonArrayFS`
  Creates a new string array and copies this array values into it.

  Specified by:
    `toStringArray` in interface `CommonArrayFS`
  Returns:
    A Java array copy of this array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.